<?
require'../config.php';
$align='left';
$title='Настройки модулей';
aut();
head();
levels(9);
who_add(0,'enter');


switch($mod){
default:
if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br/>';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br/>';

echo '<br/>&#187; <a href="mods?mod=mail">Маил Админу</a><br/>';
//echo '&#187; <a href="mods?mod=icq">Модуль ICQ</a><br/>';
echo '&#187; <a href="mods?mod=meta">Мета-теги чата</a><br/>';
echo '&#187; <a href="mods?mod=fotokon">Управление фотоконкурсом</a><br/>';

break;


//e-mail Админу
case 'mail':
if (empty($act)){
if ($ver!='wml')echo '<form action="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Модуль:<br/>
<select name="modmail">';
if($set['modmail'] == 0)echo '<option value="0">Выключен</option>';
else if($set['modmail'] == 1)echo '<option value="1">Включен</option>';
echo '<option value="0">Выключен</option>
<option value="1">Включен</option>
</select><br/>';

echo 'e-mail Админа:<br/><input name="mail" value="'.$set['mail'].'" emptyok="false"/><br/>';
 

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="modmail" value="$modmail"/>
<postfield name="mail" value="$mail"/>
</go></anchor>';
echo '<br/><br/>';
}else{
echo '<br/><input type="submit" class="ibutton" value="Сохранить"/></form><br/>';
echo '<dt></dt>';
}
}else{
$modmail= check(intval($_POST['modmail']));
$mail= check($_POST['mail']);

if($db->sql_query('UPDATE `setting` SET `modmail` = "'.$modmail.'", `mail` = "'.$mail.'" WHERE `ids` = "1"'))
{
header ('Location: mods?i=1&'.SID);  exit;
}else{
header ('Location: mods?i=2&'.SID);  exit;
}
}

break;

// Модуль Icq
case 'icq':
if (empty($act)){
if ($ver!='wml')echo '<form action="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Номер UIN:<br/><input name="icq_uin" value="'.$set['icq_uin'].'" emptyok="false"/><br/>';

echo 'Пароль UIN:<br/><input name="icq_pass_uin" value="'.$set['icq_pass_uin'].'" emptyok="false"/><br/>';


echo 'Тип кода:<br/>
<select name="code_tip">';
if($set['code_tip'] == 1)echo '<option value="1">1</option>';
else if($set['code_tip'] == 2)echo '<option value="2">2</option>';
else if($set['code_tip'] == 3)echo '<option value="3">3</option>';
else if($set['code_tip'] == 4)echo '<option value="4">4</option>';
else if($set['code_tip'] == 5)echo '<option value="5">5</option>';
else if($set['code_tip'] == 6)echo '<option value="6">6</option>';
else if($set['code_tip'] == 7)echo '<option value="7">7</option>';
echo '<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
</select><br/>';



echo 'Защитный Код:<br/>
<select name="portect_code">';
if($set['portect_code'] == 0)echo '<option value="0">Выключить</option>';
else if($set['portect_code'] == 1)echo '<option value="1">Включить</option>';
echo '<option value="0">Выключить</option>
<option value="1">Включить</option>
</select><br/>';

echo 'Деформация Кода:<br/>
<select name="modmail">';
if($set['portect_code_def'] == 0)echo '<option value="0">Выключить</option>';
else if($set['portect_code_def'] == 1)echo '<option value="1">Включить</option>';
echo '<option value="0">Выключить</option>
<option value="1">Включить</option>
</select><br/>';
echo '<dt></dt>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="icq_uin" value="$icq_uin"/>
<postfield name="icq_pass_uin" value="$icq_pass_uin"/>
<postfield name="code_tip" value="$code_tip"/>
<postfield name="protect_code" value="$protect_code"/>
<postfield name="protect_code_def" value="$protect_code_def"/>
</go></anchor>';
echo '<br/><br/>';
}else{
echo '<br/><input type="submit" class="ibutton" value="Сохранить"/></form><br/><br/>';
}
}else{
$icq_uin= check(intval($_POST['icq_uin']));
$icq_pass_uin= check(intval($_POST['icq_pass_uin']));
$code_tip= check(intval($_POST['code_tip']));
$protect_code= check(intval($_POST['protect_code']));
$protect_code_def= check(intval($_POST['protect_code_def']));


if($db->sql_query('UPDATE `modul` SET `icq_uin` = "'.$icq_uin.'", `icq_pass_uin` = "'.$icq_pass_uin.'", `code_tip` = "'.$code_tip.'", `protect_code` = "'.$protect_code.'", `protect_code_def` = "'.$protect_code_def.'" WHERE `ids` = "1"'))
{
header ('Location: mods?i=1&'.SID);  exit;
}else{
header ('Location: mods?i=2&'.SID);  exit;
}
}

break;

//Мета теги
case 'meta':
if (empty($act)){
if ($ver!='wml')echo '<form action="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Cсылка на авторские права:<br/><input name="copyright" value="'.$set['copyright'].'" emptyok="false"/><br/>';
echo '<dt></dt>';

echo 'Имя/Никнейм вебмастера:<br/><input name="author" value="'.$set['author'].'" emptyok="false"/><br/>';
echo '<dt></dt>';

echo 'Тэг очень важен для некоторых поисковиков.:<br/><input name="subject" value="'.$set['subject'].'" emptyok="false"/> Тематика сайта<br/>';
echo '<dt></dt>';

echo 'E-mail вебмастера:<br/><input name="reply_to" value="'.$set['reply_to'].'" emptyok="reply_to"/><br/>';
echo '<dt></dt>';

echo 'Используйте эту директиву при индексации в поисковых машинах. Это увеличит ваши шансы на успешную раскрутку сайта:<br/><input name="description" value="'.$set['description'].'" emptyok="description"/> краткое описание<br/>';
echo '<dt></dt>';



echo 'Укажите ключевые слова для поисковых машин. По этим словам будет происходить поиск Вашего сайта. Не следует рассчитывать на абсолютную грамотность пользователей Интернета, частенько слова в поиске пользователи вводят неправильно, и поэтому имеет смысл предусмотреть такой вариант.:<br/><input name="keywords" value="'.$set['keywords'].'" emptyok="keywords"/> ключевые слова через запятую<br/>';
echo '<dt></dt>';

if ($ver=='wml'){
echo '<br/><anchor title="go">Сохранить<go href="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="copyright" value="$copyright"/>
<postfield name="author" value="$author"/>
<postfield name="subject" value="$subject"/>
<postfield name="reply_to" value="$reply_to"/>
<postfield name="description" value="$description"/>
<postfield name="keywords" value="$keywords"/>
</go></anchor>';
echo '<br/><br/>';
}else{
echo '<br/><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br/>';
}
}else{
$copyright= check($_POST['copyright']);
$author= check($_POST['author']);
$subject= check($_POST['subject']);
$reply_to= check($_POST['reply_to']);
$description= check($_POST['description']);
$keywords= check($_POST['keywords']);

if($db->sql_query('UPDATE `setting` SET `copyright` = "'.$copyright.'", `author` = "'.$author.'", `subject` = "'.$subject.'", `reply_to` = "'.$reply_to.'", `description` = "'.$description.'", `keywords` = "'.$keywords.'" WHERE `ids` = "1"'))
{
header ('Location: mods?i=1&'.SID);  exit;
}else{
header ('Location: mods?i=2&'.SID);  exit;
}
}
break;


//Управление фотоконкурсами
case 'fotokon':
if (empty($act)){
if ($ver!='wml')echo '<form action="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo 'Модуль:<br/>
<select name="fotooff">';
if($set['fotooff'] == 0)echo '<option value="0">Выключен</option>';
else if($set['fotooff'] == 1)echo '<option value="1">Включен</option>';
echo '<option value="0">Выключен</option>
<option value="1">Включен</option>
</select><br/>';
echo '<dt></dt><b>Правила</b><br/>';

echo 'Общие правила:<br/><input name="pravilo_1" value="'.$set['pravilo_1'].'" emptyok="pravilo_1"/><br/>';
echo '/ перенос строки<br/><dt></dt>';

echo 'Правила участия:<br/><input name="pravilo_2" value="'.$set['pravilo_2'].'" emptyok="pravilo_2"/><br/>';
echo '/ перенос строки<br/>';
echo '<hr/>';
echo '<b>Призовые места и награды</b><br/>';

echo 'Первое место:<br/><input name="priz_1" value="'.$set['priz_1'].'" emptyok="priz_1"/><br/>';
echo 'Второе место:<br/><input name="priz_2" value="'.$set['priz_2'].'" emptyok="priz_2"/><br/>';
echo 'Третье место:<br/><input name="priz_3" value="'.$set['priz_3'].'" emptyok="priz_3"/><br/>';
echo '<hr/>';

echo 'Название конкурса:<br/><input name="name_kon" value="'.$set['name_kon'].'" emptyok="priz_1"/><br/><small>Отобразится в заголовках и в прихожке</small><br/><hr/>';
echo 'Название лучшего фото 1:<br/><input name="name_1" value="'.$set['name_1'].'" emptyok="priz_2"/><br/><small>В прихожке и в самих конкурсах</small><br/>';
echo 'Название лучшего фото 2:<br/><input name="name_2" value="'.$set['name_2'].'" emptyok="priz_3"/><br/><small>Только в прихожке</small><br/>';
echo '<hr/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="mods?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="fotooff" value="$fotooff"/>
<postfield name="pravilo_1" value="$pravilo_1"/>
<postfield name="pravilo_2" value="$pravilo_2"/>
<postfield name="priz_1" value="$priz_1"/>
<postfield name="priz_2" value="$priz_2"/>
<postfield name="priz_3" value="$priz_3"/>
<postfield name="name_kon" value="$name_kon"/>
<postfield name="name_1" value="$name_1"/>
<postfield name="name_2" value="$name_2"/>
</go></anchor>';
echo '<br/><br/>';

}else{
echo '<br/><input type="submit" class="ibutton" value="Сохранить"/></form><br/>';
echo '<dt></dt>';
}

}else{
$fotooff= check(intval($_POST['fotooff']));
$pravilo_1= check($_POST['pravilo_1']);
$pravilo_2= check($_POST['pravilo_2']);
$priz_1= check($_POST['priz_1']);
$priz_2= check($_POST['priz_2']);
$priz_3= check($_POST['priz_3']);
$name_kon= check($_POST['name_kon']);
$name_1= check($_POST['name_1']);
$name_2= check($_POST['name_2']);

if($db->sql_query('UPDATE `setting` SET `fotooff` = "'.$fotooff.'",`pravilo_1` = "'.$pravilo_1.'",`pravilo_2` = "'.$pravilo_2.'",`priz_1` = "'.$priz_1.'",`priz_2` = "'.$priz_2.'",`priz_3` = "'.$priz_3.'",`name_kon` = "'.$name_kon.'",`name_1` = "'.$name_1.'",`name_2` = "'.$name_2.'" WHERE `ids` = "1"'))
{
header ('Location: mods?i=1&'.SID);  exit;
}else{
header ('Location: mods?i=2&'.SID);  exit;
}
}
break;
}
echo gb.'<a href="mods">Настройки 
Модулей</a><br/>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>